// hzyDlg.cpp : implementation file
//

#include "stdafx.h"
#include "hzy.h"
#include "hzyDlg.h"
#include "GameProc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHzyDlg dialog

CHzyDlg::CHzyDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHzyDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHzyDlg)
	m_HP = 0;
	m_MP = 0;
	m_level = 0;
	m_HPMax = 0;
	m_MPMax = 0;
	m_magicDef = 0;
	m_magicAtt = 0;
	m_precision = 0;
	m_speed = 0;
	m_attack = 0;
	m_avoid = 0;
	m_defence = 0;
	m_doubleAtt = 0;
	m_property = 0;
	m_experience = 0;
	m_static_state = _T("");
	m_money = 0;
	m_monsterAtt = 0;
	m_monsterDef = 0;
	m_monsterHP = 0;
	m_monsterMagicAtt = 0;
	m_monsterMagicDef = 0;
	m_monsterMP = 0;
	m_monsterNum = 0;
	m_monsterPrecision = 0;
	m_monsterSpeed = 0;
	m_goodsNum = 0;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	//m_hIcon = AfxGetApp()->LoadIcon(IDI_ICON1);
	m_hIcon = (HICON)LoadImage(AfxGetApp()->m_hInstance,MAKEINTRESOURCE(IDI_ICON1),IMAGE_ICON,64,64,LR_DEFAULTCOLOR);

}

void CHzyDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHzyDlg)
	DDX_Control(pDX, IDC_COMBO_goods, m_goods);
	DDX_Control(pDX, IDC_COMBO_monster, m_monster);
	DDX_Control(pDX, IDC_COMBO_personality, m_personality);
	DDX_Control(pDX, IDC_STATIC_authorQQ, m_authorQQ);
	DDX_Control(pDX, IDC_COMBO_RoleSele, m_RoleSele);
	DDX_Text(pDX, IDC_EDIT_HP, m_HP);
	DDX_Text(pDX, IDC_EDIT_MP, m_MP);
	DDX_Text(pDX, IDC_EDIT_level, m_level);
	DDX_Text(pDX, IDC_EDIT_HPMax, m_HPMax);
	DDX_Text(pDX, IDC_EDIT_MPMax, m_MPMax);
	DDX_Text(pDX, IDC_EDIT_magicDef, m_magicDef);
	DDX_Text(pDX, IDC_EDIT_magicAtt, m_magicAtt);
	DDX_Text(pDX, IDC_EDIT_precision, m_precision);
	DDX_Text(pDX, IDC_EDIT_speed, m_speed);
	DDX_Text(pDX, IDC_EDIT_attack, m_attack);
	DDX_Text(pDX, IDC_EDIT_avoid, m_avoid);
	DDX_Text(pDX, IDC_EDIT_defence, m_defence);
	DDX_Text(pDX, IDC_EDIT_doubleAtt, m_doubleAtt);
	DDX_Text(pDX, IDC_EDIT_property, m_property);
	DDX_Text(pDX, IDC_EDIT_experience, m_experience);
	DDX_Text(pDX, IDC_STATIC_state, m_static_state);
	DDX_Text(pDX, IDC_EDIT_money, m_money);
	DDX_Text(pDX, IDC_EDIT_monsterAtt, m_monsterAtt);
	DDX_Text(pDX, IDC_EDIT_monsterDef, m_monsterDef);
	DDX_Text(pDX, IDC_EDIT_monsterHP, m_monsterHP);
	DDX_Text(pDX, IDC_EDIT_monsterMagicAtt, m_monsterMagicAtt);
	DDX_Text(pDX, IDC_EDIT_monsterMagicDef, m_monsterMagicDef);
	DDX_Text(pDX, IDC_EDIT_monsterMP, m_monsterMP);
	DDX_Text(pDX, IDC_EDIT_monsterNum, m_monsterNum);
	DDX_Text(pDX, IDC_EDIT_monsterPrecision, m_monsterPrecision);
	DDX_Text(pDX, IDC_EDIT_monsterSpeed, m_monsterSpeed);
	DDX_Text(pDX, IDC_EDIT_goodsNum, m_goodsNum);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CHzyDlg, CDialog)
	//{{AFX_MSG_MAP(CHzyDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BTN_READDATA, OnBtnReaddata)
	ON_BN_CLICKED(IDC_BTN_EDITDATA, OnBtnEditdata)
	ON_CBN_SELCHANGE(IDC_COMBO_RoleSele, OnSelchangeCOMBORoleSele)
	ON_WM_TIMER()
	ON_WM_CTLCOLOR()
	ON_WM_LBUTTONUP()
	ON_WM_MOUSEMOVE()
	ON_CBN_SELCHANGE(IDC_COMBO_personality, OnSelchangeCOMBOpersonality)
	ON_BN_CLICKED(IDC_BTN_ReadGoods, OnBtnReadGoods)
	ON_BN_CLICKED(IDC_BTN_EditGoods, OnBtnEditGoods)
	ON_CBN_SELCHANGE(IDC_COMBO_monster, OnSelchangeCOMBOmonster)
	ON_CBN_SELCHANGE(IDC_COMBO_goods, OnSelchangeCOMBOgoods)
	ON_BN_CLICKED(IDC_CHECK_omitAnimation, OnCHECKomitAnimation)
	ON_BN_CLICKED(IDC_CHECK_noFight, OnCHECKnoFight)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHzyDlg message handlers

BOOL CHzyDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, FALSE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	//öʱ,Ϸ״̬
	SetTimer(1,800,NULL);

	// TODO: Add extra initialization here
	m_RoleSele.AddString(_T("ɷ"));
	m_RoleSele.AddString(_T("ᰬ"));
	m_RoleSele.AddString(_T(""));
	m_RoleSele.AddString(_T("ͽά"));
	m_RoleSele.AddString(_T(""));
	m_RoleSele.AddString(_T(""));
	m_RoleSele.AddString(_T("Үϣ"));
	m_RoleSele.AddString(_T("ڤ"));
	m_RoleSele.AddString(_T(""));
	m_RoleSele.AddString(_T("˾ͽǾ"));
	m_RoleSele.SetCurSel(0);
	//Ͽ
	roleSeleFont.CreatePointFont(140,"STKaiti");
	m_RoleSele.SetFont(&roleSeleFont);
	//ӣؼ
	GetDlgItem(IDC_STATIC_authorQQ)->GetWindowRect(&m_Rect);
	ScreenToClient(&m_Rect);
	//ӣ»
	m_cfNtr = this->GetFont();
	m_cfNtr->GetLogFont(&m_lfNtr);
	m_cfNtr->GetLogFont(&m_lfUL);
	m_lfUL.lfUnderline = true;
	m_cfUL.CreateFontIndirect(&m_lfUL);
	return TRUE;  // return TRUE  unless you set the focus to a control
}


// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CHzyDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CHzyDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}
//Ŷȡ
DWORD byread;
//Ǯַ
LPVOID pBaseMoney = (LPVOID)0x007831DC;
void CHzyDlg::OnBtnReaddata()
{
	//ȡôھ/߳ID/߳̾
	if(!startGame())
		return;
	
	/*
	//ַmΪֲ飬ʲ,
	//ֻڸжm飬иֵ.
	LPVOID m[][2] = {
		{(LPVOID)0x00783A40,(LPVOID)&m_HP},
		{(LPVOID)0x00783A4C,(LPVOID)&m_MP}
	};*/
	/* ԣӡϿѡ
	CString str;
	str.Format(_T("%d"),selectedRole);
	AfxMessageBox(str);*/
	//ά鸳ֵַ  ༭
	switch(selectedRole)
	{
		case 1://ɷ
			m[0][0] = (LPVOID)0x00783A3c; m[0][1] = (LPVOID)&m_level;
			m[1][0] = (LPVOID)0x00783A40; m[1][1] = (LPVOID)&m_HP;
			m[2][0] = (LPVOID)0x00783A44; m[2][1] = (LPVOID)&m_HPMax;
			m[3][0] = (LPVOID)0x00783A4C; m[3][1] = (LPVOID)&m_MP;
			m[4][0] = (LPVOID)0x00783A4E; m[4][1] = (LPVOID)&m_MPMax;
			m[5][0] = (LPVOID)0x00783A54; m[5][1] = (LPVOID)&m_attack;
			m[6][0] = (LPVOID)0x00783A56; m[6][1] = (LPVOID)&m_defence;
			m[7][0] = (LPVOID)0x00783A68; m[7][1] = (LPVOID)&m_magicAtt;
			m[8][0] = (LPVOID)0x00783A6a; m[8][1] = (LPVOID)&m_magicDef;
			m[9][0] = (LPVOID)0x00783A58; m[9][1] = (LPVOID)&m_speed;
			m[10][0] = (LPVOID)0x00783A5a; m[10][1] = (LPVOID)&m_precision;
			m[11][0] = (LPVOID)0x00783A5c; m[11][1] = (LPVOID)&m_avoid;
			m[12][0] = (LPVOID)0x00783A5e; m[12][1] = (LPVOID)&m_doubleAtt;
			m[13][0] = (LPVOID)0x00783A62; m[13][1] = (LPVOID)&m_property;
			m[14][0] = (LPVOID)0x00783A60; m[14][1] = (LPVOID)&m_personality;
			m[15][0] = (LPVOID)0x00783AA0; m[15][1] = (LPVOID)&m_experience;
			break;
		case 2://ᰬ
			m[0][0] = (LPVOID)0x00783BB0; m[0][1] = (LPVOID)&m_level;
			m[1][0] = (LPVOID)0x00783BB4; m[1][1] = (LPVOID)&m_HP;
			m[2][0] = (LPVOID)0x00783BB8; m[2][1] = (LPVOID)&m_HPMax;
			m[3][0] = (LPVOID)0x00783BBC; m[3][1] = (LPVOID)&m_MP;
			m[4][0] = (LPVOID)0x00783BBE; m[4][1] = (LPVOID)&m_MPMax;
			m[5][0] = (LPVOID)0x00783BC8; m[5][1] = (LPVOID)&m_attack;
			m[6][0] = (LPVOID)0x00783BCA; m[6][1] = (LPVOID)&m_defence;
			m[7][0] = (LPVOID)0x00783Bdc; m[7][1] = (LPVOID)&m_magicAtt;
			m[8][0] = (LPVOID)0x00783Bde; m[8][1] = (LPVOID)&m_magicDef;
			m[9][0] = (LPVOID)0x00783BCc; m[9][1] = (LPVOID)&m_speed;
			m[10][0] = (LPVOID)0x00783BCe; m[10][1] = (LPVOID)&m_precision;
			m[11][0] = (LPVOID)0x00783Bd0; m[11][1] = (LPVOID)&m_avoid;
			m[12][0] = (LPVOID)0x00783Bd2; m[12][1] = (LPVOID)&m_doubleAtt;
			m[13][0] = (LPVOID)0x00783Bd6; m[13][1] = (LPVOID)&m_property;
			m[14][0] = (LPVOID)0x00783Bd4; m[14][1] = (LPVOID)&m_personality;
			m[15][0] = (LPVOID)0x00783C14; m[15][1] = (LPVOID)&m_experience;
			break;
		case 3://
			m[0][0] = (LPVOID)0x00783D24; m[0][1] = (LPVOID)&m_level;
			m[1][0] = (LPVOID)0x00783D28; m[1][1] = (LPVOID)&m_HP;
			m[2][0] = (LPVOID)0x00783D2C; m[2][1] = (LPVOID)&m_HPMax;
			m[3][0] = (LPVOID)0x00783D34; m[3][1] = (LPVOID)&m_MP;
			m[4][0] = (LPVOID)0x00783D36; m[4][1] = (LPVOID)&m_MPMax;
			m[5][0] = (LPVOID)0x00783D3c; m[5][1] = (LPVOID)&m_attack;
			m[6][0] = (LPVOID)0x00783D3e; m[6][1] = (LPVOID)&m_defence;
			m[7][0] = (LPVOID)0x00783D50; m[7][1] = (LPVOID)&m_magicAtt;
			m[8][0] = (LPVOID)0x00783D52; m[8][1] = (LPVOID)&m_magicDef;
			m[9][0] = (LPVOID)0x00783D40; m[9][1] = (LPVOID)&m_speed;
			m[10][0] = (LPVOID)0x00783D42; m[10][1] = (LPVOID)&m_precision;
			m[11][0] = (LPVOID)0x00783D44; m[11][1] = (LPVOID)&m_avoid;
			m[12][0] = (LPVOID)0x00783D46; m[12][1] = (LPVOID)&m_doubleAtt;
			m[13][0] = (LPVOID)0x00783D4a; m[13][1] = (LPVOID)&m_property;
			m[14][0] = (LPVOID)0x00783D48; m[14][1] = (LPVOID)&m_personality;
			m[15][0] = (LPVOID)0x00783D88; m[15][1] = (LPVOID)&m_experience;
			break;
		case 4://ͽά
			m[0][0] = (LPVOID)0x00783E98; m[0][1] = (LPVOID)&m_level;
			m[1][0] = (LPVOID)0x00783E9C; m[1][1] = (LPVOID)&m_HP;
			m[2][0] = (LPVOID)0x00783EA0; m[2][1] = (LPVOID)&m_HPMax;
			m[3][0] = (LPVOID)0x00783EA4; m[3][1] = (LPVOID)&m_MP;
			m[4][0] = (LPVOID)0x00783EA6; m[4][1] = (LPVOID)&m_MPMax;
			m[5][0] = (LPVOID)0x00783Eb0; m[5][1] = (LPVOID)&m_attack;
			m[6][0] = (LPVOID)0x00783Eb2; m[6][1] = (LPVOID)&m_defence;
			m[7][0] = (LPVOID)0x00783Ec4; m[7][1] = (LPVOID)&m_magicAtt;
			m[8][0] = (LPVOID)0x00783Ec6; m[8][1] = (LPVOID)&m_magicDef;
			m[9][0] = (LPVOID)0x00783Eb4; m[9][1] = (LPVOID)&m_speed;
			m[10][0] = (LPVOID)0x00783Eb6; m[10][1] = (LPVOID)&m_precision;
			m[11][0] = (LPVOID)0x00783Eb8; m[11][1] = (LPVOID)&m_avoid;
			m[12][0] = (LPVOID)0x00783Eba; m[12][1] = (LPVOID)&m_doubleAtt;
			m[13][0] = (LPVOID)0x00783Ebe; m[13][1] = (LPVOID)&m_property;
			m[14][0] = (LPVOID)0x00783Ebc; m[14][1] = (LPVOID)&m_personality;
			m[15][0] = (LPVOID)0x00783EFC; m[15][1] = (LPVOID)&m_experience;
			break;
		case 5://
			m[0][0] = (LPVOID)0x0078400c; m[0][1] = (LPVOID)&m_level;
			m[1][0] = (LPVOID)0x00784010; m[1][1] = (LPVOID)&m_HP;
			m[2][0] = (LPVOID)0x00784014; m[2][1] = (LPVOID)&m_HPMax;
			m[3][0] = (LPVOID)0x0078401c; m[3][1] = (LPVOID)&m_MP;
			m[4][0] = (LPVOID)0x0078401e; m[4][1] = (LPVOID)&m_MPMax;
			m[5][0] = (LPVOID)0x00784024; m[5][1] = (LPVOID)&m_attack;
			m[6][0] = (LPVOID)0x00784026; m[6][1] = (LPVOID)&m_defence;
			m[7][0] = (LPVOID)0x00784038; m[7][1] = (LPVOID)&m_magicAtt;
			m[8][0] = (LPVOID)0x0078403a; m[8][1] = (LPVOID)&m_magicDef;
			m[9][0] = (LPVOID)0x00784028; m[9][1] = (LPVOID)&m_speed;
			m[10][0] = (LPVOID)0x0078402a; m[10][1] = (LPVOID)&m_precision;
			m[11][0] = (LPVOID)0x0078402c; m[11][1] = (LPVOID)&m_avoid;
			m[12][0] = (LPVOID)0x0078402e; m[12][1] = (LPVOID)&m_doubleAtt;
			m[13][0] = (LPVOID)0x00784032; m[13][1] = (LPVOID)&m_property;
			m[14][0] = (LPVOID)0x00784030; m[14][1] = (LPVOID)&m_personality;
			m[15][0] = (LPVOID)0x00784070; m[15][1] = (LPVOID)&m_experience;
			break;
		case 6://
			m[0][0] = (LPVOID)0x00784180; m[0][1] = (LPVOID)&m_level;
			m[1][0] = (LPVOID)0x00784184; m[1][1] = (LPVOID)&m_HP;
			m[2][0] = (LPVOID)0x00784188; m[2][1] = (LPVOID)&m_HPMax;
			m[3][0] = (LPVOID)0x00784190; m[3][1] = (LPVOID)&m_MP;
			m[4][0] = (LPVOID)0x00784192; m[4][1] = (LPVOID)&m_MPMax;
			m[5][0] = (LPVOID)0x00784198; m[5][1] = (LPVOID)&m_attack;
			m[6][0] = (LPVOID)0x0078419a; m[6][1] = (LPVOID)&m_defence;
			m[7][0] = (LPVOID)0x007841ac; m[7][1] = (LPVOID)&m_magicAtt;
			m[8][0] = (LPVOID)0x007841ae; m[8][1] = (LPVOID)&m_magicDef;
			m[9][0] = (LPVOID)0x0078419c; m[9][1] = (LPVOID)&m_speed;
			m[10][0] = (LPVOID)0x0078419e; m[10][1] = (LPVOID)&m_precision;
			m[11][0] = (LPVOID)0x007841a0; m[11][1] = (LPVOID)&m_avoid;
			m[12][0] = (LPVOID)0x007841a2; m[12][1] = (LPVOID)&m_doubleAtt;
			m[13][0] = (LPVOID)0x007841a6; m[13][1] = (LPVOID)&m_property;
			m[14][0] = (LPVOID)0x007841a4; m[14][1] = (LPVOID)&m_personality;
			m[15][0] = (LPVOID)0x007841E4; m[15][1] = (LPVOID)&m_experience;
			break;
		case 7://Үϣ
			m[0][0] = (LPVOID)0x00784468; m[0][1] = (LPVOID)&m_level;
			m[1][0] = (LPVOID)0x0078446C; m[1][1] = (LPVOID)&m_HP;
			m[2][0] = (LPVOID)0x00784470; m[2][1] = (LPVOID)&m_HPMax;
			m[3][0] = (LPVOID)0x00784474; m[3][1] = (LPVOID)&m_MP;
			m[4][0] = (LPVOID)0x00784476; m[4][1] = (LPVOID)&m_MPMax;
			m[5][0] = (LPVOID)0x00784480; m[5][1] = (LPVOID)&m_attack;
			m[6][0] = (LPVOID)0x00784482; m[6][1] = (LPVOID)&m_defence;
			m[7][0] = (LPVOID)0x00784494; m[7][1] = (LPVOID)&m_magicAtt;
			m[8][0] = (LPVOID)0x00784496; m[8][1] = (LPVOID)&m_magicDef;
			m[9][0] = (LPVOID)0x00784484; m[9][1] = (LPVOID)&m_speed;
			m[10][0] = (LPVOID)0x00784486; m[10][1] = (LPVOID)&m_precision;
			m[11][0] = (LPVOID)0x00784488; m[11][1] = (LPVOID)&m_avoid;
			m[12][0] = (LPVOID)0x0078448a; m[12][1] = (LPVOID)&m_doubleAtt;
			m[13][0] = (LPVOID)0x0078448e; m[13][1] = (LPVOID)&m_property;
			m[14][0] = (LPVOID)0x0078448c; m[14][1] = (LPVOID)&m_personality;
			m[15][0] = (LPVOID)0x007844cc; m[15][1] = (LPVOID)&m_experience;
			break;
		case 8://ڤ
			m[0][0] = (LPVOID)0x007845dc; m[0][1] = (LPVOID)&m_level;
			m[1][0] = (LPVOID)0x007845E0; m[1][1] = (LPVOID)&m_HP;
			m[2][0] = (LPVOID)0x007845E4; m[2][1] = (LPVOID)&m_HPMax;
			m[3][0] = (LPVOID)0x007845E8; m[3][1] = (LPVOID)&m_MP;
			m[4][0] = (LPVOID)0x007845Ea; m[4][1] = (LPVOID)&m_MPMax;
			m[5][0] = (LPVOID)0x007845f4; m[5][1] = (LPVOID)&m_attack;
			m[6][0] = (LPVOID)0x007845f6; m[6][1] = (LPVOID)&m_defence;
			m[7][0] = (LPVOID)0x00784608; m[7][1] = (LPVOID)&m_magicAtt;
			m[8][0] = (LPVOID)0x0078460a; m[8][1] = (LPVOID)&m_magicDef;
			m[9][0] = (LPVOID)0x007845f8; m[9][1] = (LPVOID)&m_speed;
			m[10][0] = (LPVOID)0x007845fa; m[10][1] = (LPVOID)&m_precision;
			m[11][0] = (LPVOID)0x007845fc; m[11][1] = (LPVOID)&m_avoid;
			m[12][0] = (LPVOID)0x007845fe; m[12][1] = (LPVOID)&m_doubleAtt;
			m[13][0] = (LPVOID)0x00784602; m[13][1] = (LPVOID)&m_property;
			m[14][0] = (LPVOID)0x00784600; m[14][1] = (LPVOID)&m_personality;
			m[15][0] = (LPVOID)0x00784640; m[15][1] = (LPVOID)&m_experience;
			break;
		case 9://
			m[0][0] = (LPVOID)0x00784750; m[0][1] = (LPVOID)&m_level;
			m[1][0] = (LPVOID)0x00784754; m[1][1] = (LPVOID)&m_HP;
			m[2][0] = (LPVOID)0x00784758; m[2][1] = (LPVOID)&m_HPMax;
			m[3][0] = (LPVOID)0x00784760; m[3][1] = (LPVOID)&m_MP;
			m[4][0] = (LPVOID)0x00784762; m[4][1] = (LPVOID)&m_MPMax;
			m[5][0] = (LPVOID)0x00784768; m[5][1] = (LPVOID)&m_attack;
			m[6][0] = (LPVOID)0x0078476a; m[6][1] = (LPVOID)&m_defence;
			m[7][0] = (LPVOID)0x0078477c; m[7][1] = (LPVOID)&m_magicAtt;
			m[8][0] = (LPVOID)0x0078477e; m[8][1] = (LPVOID)&m_magicDef;
			m[9][0] = (LPVOID)0x0078476c; m[9][1] = (LPVOID)&m_speed;
			m[10][0] = (LPVOID)0x0078476e; m[10][1] = (LPVOID)&m_precision;
			m[11][0] = (LPVOID)0x00784770; m[11][1] = (LPVOID)&m_avoid;
			m[12][0] = (LPVOID)0x00784772; m[12][1] = (LPVOID)&m_doubleAtt;
			m[13][0] = (LPVOID)0x00784776; m[13][1] = (LPVOID)&m_property;
			m[14][0] = (LPVOID)0x00784774; m[14][1] = (LPVOID)&m_personality;
			m[15][0] = (LPVOID)0x007847B4; m[15][1] = (LPVOID)&m_experience;
			break;
		case 10://˾ͽǾ
			m[0][0] = (LPVOID)0x007848C4; m[0][1] = (LPVOID)&m_level;
			m[1][0] = (LPVOID)0x007848C8; m[1][1] = (LPVOID)&m_HP;
			m[2][0] = (LPVOID)0x007848CC; m[2][1] = (LPVOID)&m_HPMax;
			m[3][0] = (LPVOID)0x007848d0; m[3][1] = (LPVOID)&m_MP;
			m[4][0] = (LPVOID)0x007848d2; m[4][1] = (LPVOID)&m_MPMax;
			m[5][0] = (LPVOID)0x007848dc; m[5][1] = (LPVOID)&m_attack;
			m[6][0] = (LPVOID)0x007848de; m[6][1] = (LPVOID)&m_defence;
			m[7][0] = (LPVOID)0x007848f0; m[7][1] = (LPVOID)&m_magicAtt;
			m[8][0] = (LPVOID)0x007848f2; m[8][1] = (LPVOID)&m_magicDef;
			m[9][0] = (LPVOID)0x007848e0; m[9][1] = (LPVOID)&m_speed;
			m[10][0] = (LPVOID)0x007848e2; m[10][1] = (LPVOID)&m_precision;
			m[11][0] = (LPVOID)0x007848e4; m[11][1] = (LPVOID)&m_avoid;
			m[12][0] = (LPVOID)0x007848e6; m[12][1] = (LPVOID)&m_doubleAtt;
			m[13][0] = (LPVOID)0x007848ea; m[13][1] = (LPVOID)&m_property;
			m[14][0] = (LPVOID)0x007848e8; m[14][1] = (LPVOID)NULL;
			m[15][0] = (LPVOID)0x00784928; m[15][1] = (LPVOID)&m_experience;
			break;
		default:
			AfxMessageBox("ѡ");
			return;

	}
	//mһά
	int len2 = sizeof(m)/sizeof(LPVOID);
	int len3 = sizeof(m[0])/sizeof(LPVOID);
	len = len2/len3;
	//4ֽ,ʼdwordData
	dwordData = 2;

	//ѭڴ
	for(size_t i=0; i<len; i++)
	{
		int a = 0;//ת
		switch(i)
		{
			case 14://""Ե
				::ReadProcessMemory(processH,m[i][0],(LPVOID)&a,dwordData,&byread);
				m_personality.SetCurSel(a);
				//selectedPersonalityֵ,ȻΪ0xCCCCCCCC (-858993460)
				selectedPersonality = a;
				continue;
			case 15:
				dwordData += 2;//4ֽ
				break;
		}
		
		::ReadProcessMemory(processH,m[i][0],m[i][1],dwordData,&byread);

	}
	//Ǯ
	::ReadProcessMemory(processH,pBaseMoney,(LPVOID)&m_money,4,&byread);
	UpdateData(false);
}

void CHzyDlg::OnBtnEditdata() 
{
	//±༭ֵ
	UpdateData(true);
	//4ֽ,ʼdwordData
	dwordData = 2;
	//дڴ
	for(int i=0; i<len; i++)
	{
		switch(i)
		{
			case 14:
				::WriteProcessMemory(processH,m[i][0],(LPVOID)&selectedPersonality,2,NULL);
				continue;
			case 15:
				dwordData += 2;//4ֽ
				break;
		}
		::WriteProcessMemory(processH,m[i][0],m[i][1],dwordData,NULL);
		dwordData = 2;
	}
	::WriteProcessMemory(processH,pBaseMoney,(LPVOID)&m_money,4,NULL);//дǮ	
}
//CBN_SELCHANGE "ѡ"Ͽ,ȡѡ
void CHzyDlg::OnSelchangeCOMBORoleSele() 
{
	// ȡѡ
	selectedRole = ((CComboBox *)GetDlgItem(IDC_COMBO_RoleSele))->GetCurSel();
}

// -> "",ȡѡ
void CHzyDlg::OnSelchangeCOMBOpersonality() 
{
	selectedPersonality = ((CComboBox *)GetDlgItem(IDC_COMBO_personality))->GetCurSel();
}
//WM_TIMERϢʱϷ״̬
void CHzyDlg::OnTimer(UINT nIDEvent) 
{
	CDialog::OnTimer(nIDEvent);
	UpdateData(true);
	if(::FindWindow(NULL,gameCaption) == NULL)
	{
		m_static_state = _T("ϷûУ");
	}
	else
	{
		m_static_state = _T("ϷУ");
	}
	UpdateData(false);
}

//
HBRUSH CHzyDlg::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	HBRUSH hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
	//þ̬ı->Ϣ ʽ
	switch(pWnd->GetDlgCtrlID())
	{
		case IDC_STATIC_QQLable:
			pDC->SetTextColor(RGB(0,50,200));
			break;
		case IDC_STATIC_authorQQ:
			pDC->SetTextColor(RGB(5,15,125));
			break;
		default:
			break;
	}
	if(pWnd->GetDlgCtrlID() == IDC_COMBO_RoleSele)
	{
		pDC->SetTextColor(RGB(122,122,122));
	}
	return hbr;
}
//ӦϢλ
void CHzyDlg::OnLButtonUp(UINT nFlags, CPoint point) 
{	
	//->QQ
	if(point.x > m_Rect.left && point.x < m_Rect.right &&
	   point.y < m_Rect.bottom && point.y > m_Rect.top)
	{
		ShellExecute(NULL,NULL,"http://1060184838.qzone.qq.com",NULL,NULL,SW_NORMAL);
	}
	CDialog::OnLButtonUp(nFlags, point);
}
//moveϢ
void CHzyDlg::OnMouseMove(UINT nFlags, CPoint point) 
{
	//ϳӵ״
	if(point.x > m_Rect.left && point.x < m_Rect.right && 
	   point.y < m_Rect.bottom && point.y > m_Rect.top)
	{
		HCURSOR hCursor;
		hCursor = ::LoadCursor(NULL,MAKEINTRESOURCE(32649));//
		::SetCursor(hCursor);
		//»
		GetDlgItem(IDC_STATIC_authorQQ)->SetFont(&m_cfUL);
	}
	else
	{	//ԭ(ȥ»)
		GetDlgItem(IDC_STATIC_authorQQ)->SetFont(m_cfNtr);
	}
	CDialog::OnMouseMove(nFlags, point);
}

//Ʒַ
LPVOID pBaseGoods = (LPVOID)0x007831B4;
//Ʒַָ
DWORD pGoodsTmp1;
//Ʒ2ƫ
DWORD pGoodsTmp2;
//Ʒ
int goodsNum = 0;
DWORD lastGoods;
//Ʒַ
LPVOID pBaseGoodsNum = (LPVOID)0x007831D8;
//Ʒ
LPVOID goodsName;
//ַ
LPVOID pBaseMonster = (LPVOID)0x007CFD80;
//ƫ
DWORD pBaseMonsterTMP;
//
LPVOID monsterName;
//ַ
LPVOID pBaseMonsterNum = (LPVOID)0x007CEF84;
//ƫ
DWORD pBaseMonsterNumTMP;
//
int monsterNum = 0;
DWORD lastMonster;
//ȡƷ
void CHzyDlg::OnBtnReadGoods()
{
	if(!startGame())
		return;

	//ȡƷַָ
	::ReadProcessMemory(processH,pBaseGoods,&pGoodsTmp1,4,&byread);
	//ȡƷ
	::ReadProcessMemory(processH,pBaseGoodsNum,&lastGoods,4,&byread);
	//жƷ
	if(lastGoods>0)
		goodsNum=lastGoods;//ȡֵѡʽ,²else
	else
	{
		do
		{
			::ReadProcessMemory(processH,(LPVOID)(pGoodsTmp1+goodsNum*0x4),&lastGoods,4,&byread);
			goodsNum++;
		}while(lastGoods !=0 );
		goodsNum-=1;
	}

	if(m_goods.GetCount() != goodsNum)//ƷȽ,粻Ȳˢ
	{
		m_goods.ResetContent();//б֮ǰ,б
		for(int h=0; h<goodsNum; h++)
		{
			::ReadProcessMemory(processH,(LPVOID)(pGoodsTmp1+h*0x4),&pGoodsTmp2,4,&byread);//Ʒַ

			goodsName = malloc(8);//̬ڴ
			if(!goodsName)goodsName = realloc(goodsName,9);//ڴ治,

			::ReadProcessMemory(processH,(LPVOID)(pGoodsTmp2+0x10),goodsName,8,&byread);//Ʒ
			LPSTR goodsNameGBK = Big52GBKTraditional((char *)goodsName);//Big5תGBK
			m_goods.AddString(goodsNameGBK);//"Ʒ"Ͽ
		}
		free(goodsName);
	}

	m_goods.SetCurSel(0);//Ĭʾ
	//1Ʒ
	::ReadProcessMemory(processH,(LPVOID)(pGoodsTmp1+0*0x4),&pGoodsTmp2,4,&byread);//Ʒַ
	::ReadProcessMemory(processH,(LPVOID)(pGoodsTmp2+0x4),(LPVOID)&m_goodsNum,4,&byread);

/* --------------------------------Ƕ---------------------------------------------- */
	//ȡַ
	::ReadProcessMemory(processH,pBaseMonster,&pBaseMonsterTMP,4,&byread);
	//ȡ
	::ReadProcessMemory(processH,pBaseMonsterNum,&pBaseMonsterNumTMP,4,&byread);//ַ
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterNumTMP+0x124),&pBaseMonsterNumTMP,4,&byread);

	if(pBaseMonsterNumTMP > 0)//"֮"ܶȡ,²(ַ)
		monsterNum = pBaseMonsterNumTMP;
	else
	{
		do
		{	//IDΪ0,˳ѭ. ѭ=.
			::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+monsterNum*0xc8),&lastMonster,4,&byread);
			monsterNum++;
		}while(lastMonster != 0);
		monsterNum-=1;
	}

	if(m_monster.GetCount() != monsterNum)
	{
		m_monster.ResetContent();
		//ڴжȡ
		for(int i=0; i<monsterNum; i++)
		{
			//̬ڴ䣬4=8ֽ
			monsterName = malloc(8);
			if(!monsterName)
				monsterName = realloc(monsterName,9);//ڴ治, 

			::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+i*0xc8+0x8),monsterName,8,&byread);
			LPSTR monsterNameGBK = Big52GBKTraditional((char *)monsterName);//Big5תGBK
			m_monster.AddString(monsterNameGBK);//Ͽб
		}
		free(monsterName);//ͷڴ
	}

	m_monster.SetCurSel(0);//ϿĬʾĿ
	
	//1ĸ
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+0*0xc8+0x4),(LPVOID)&m_monsterNum,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+0*0xc8+0x34),(LPVOID)&m_monsterHP,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+0*0xc8+0x3c),(LPVOID)&m_monsterMP,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+0*0xc8+0x40),(LPVOID)&m_monsterAtt,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+0*0xc8+0x44),(LPVOID)&m_monsterDef,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+0*0xc8+0x48),(LPVOID)&m_monsterMagicAtt,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+0*0xc8+0x4c),(LPVOID)&m_monsterMagicDef,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+0*0xc8+0x50),(LPVOID)&m_monsterSpeed,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+0*0xc8+0x54),(LPVOID)&m_monsterPrecision,4,&byread);
	UpdateData(false);

}

//޸Ʒ
void CHzyDlg::OnBtnEditGoods() 
{
	if(selectedGoods<0)selectedGoods=0;
	::ReadProcessMemory(processH,(LPVOID)(pGoodsTmp1+selectedGoods*0x4),&pGoodsTmp2,4,&byread); //Ʒַ
	::WriteProcessMemory(processH,(LPVOID)(pGoodsTmp2+0x4),(LPVOID)&m_goodsNum,4,NULL);		//дƷ

	//޸ĺ
	int n = selectedMonster;
	if(n<0)n=0;//жϲΪ:0xcccccccc
	::WriteProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x4),(LPVOID)&m_monsterNum,4,NULL);   //д
	::WriteProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x34),(LPVOID)&m_monsterHP,4,NULL);   //д
	::WriteProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x3c),(LPVOID)&m_monsterMP,4,NULL);   //д
	::WriteProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x40),(LPVOID)&m_monsterAtt,4,NULL);   //д
	::WriteProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x44),(LPVOID)&m_monsterDef,4,NULL);   //д
	::WriteProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x48),(LPVOID)&m_monsterMagicAtt,4,NULL);   //дɹ
	::WriteProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x4c),(LPVOID)&m_monsterMagicDef,4,NULL);   //дɷ
	::WriteProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x50),(LPVOID)&m_monsterSpeed,4,NULL);   //дٶ
	::WriteProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x54),(LPVOID)&m_monsterPrecision,4,NULL);   //д

}

//"Ʒ" Ͽѡʱ
void CHzyDlg::OnSelchangeCOMBOgoods() 
{
	selectedGoods = ((CComboBox *)GetDlgItem(IDC_COMBO_goods))->GetCurSel();//ȡǰѡƷ
	::ReadProcessMemory(processH,(LPVOID)(pGoodsTmp1+selectedGoods*0x4),&pGoodsTmp2,4,&byread);//Ʒַ
	::ReadProcessMemory(processH,(LPVOID)(pGoodsTmp2+0x4),(LPVOID)&m_goodsNum,4,&byread);
	UpdateData(false);
}

//"" Ͽѡʱ
void CHzyDlg::OnSelchangeCOMBOmonster() 
{
	selectedMonster = ((CComboBox *)GetDlgItem(IDC_COMBO_monster))->GetCurSel();//ȡǰѡĺ
	int n = selectedMonster;

	//Ӧĸ
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x4),(LPVOID)&m_monsterNum,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x34),(LPVOID)&m_monsterHP,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x3c),(LPVOID)&m_monsterMP,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x40),(LPVOID)&m_monsterAtt,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x44),(LPVOID)&m_monsterDef,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x48),(LPVOID)&m_monsterMagicAtt,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x4c),(LPVOID)&m_monsterMagicDef,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x50),(LPVOID)&m_monsterSpeed,4,&byread);
	::ReadProcessMemory(processH,(LPVOID)(pBaseMonsterTMP+n*0xc8+0x54),(LPVOID)&m_monsterPrecision,4,&byread);
	UpdateData(false);
}
LPVOID pBaseOmitAnimation = (LPVOID)0x016307b6;//սͷcallĵַ
//ѡȥս
void CHzyDlg::OnCHECKomitAnimation()
{
	if(!startGame())
		return;

	byte omitAnimation[] = {0x83,0xc4,0x14,0x90,0x90};//add esp,0x14  ; nop nop
	byte backAnimation[] = {0xE8,0xD5,0xA1,0xE6,0xFE};//016307B6  E8 D5A1E6FE  call SwdHC.0049A990

	int checkState = ((CButton *)GetDlgItem(IDC_CHECK_omitAnimation))->GetCheck();//ȡѡ״̬
	if(checkState == 1)
		::WriteProcessMemory(processH,pBaseOmitAnimation,(LPVOID)&omitAnimation,5,&byread);
	else
		::WriteProcessMemory(processH,pBaseOmitAnimation,(LPVOID)&backAnimation,5,&byread);
}

LPVOID pBaseNoFight = (LPVOID)0x0040788E;//ͳ(µ)ַ. mov dword ptr ds:[0x784C58],eax
//ѡ򣺲
void CHzyDlg::OnCHECKnoFight() 
{
	if(!startGame())
		return;

	byte noFight[] = {0x90,0x90,0x90,0x90,0x90};//nop
	byte backFight[] = {0xA3,0x58,0x4C,0x78,0x00};//ԭ

	int checkState = ((CButton *)GetDlgItem(IDC_CHECK_noFight))->GetCheck();//ȡѡ״̬
	if(checkState == 1)
		::WriteProcessMemory(processH,pBaseNoFight,(LPVOID)&noFight,5,&byread);//дڴ
	else
		::WriteProcessMemory(processH,pBaseNoFight,(LPVOID)&backFight,5,&byread);
}
